TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get NFT sales and auctions

GET
/api/v3/nft/sales

Query GetGems NFT sales and auctions by sale or auction contract address.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address*array<string>

Sale or auction contract address in any form. Maximum: 1000 addresses.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/nft/sales?address=string"
{
  "address_book": {
    "property1": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    },
    "property2": {
      "domain": "string",
      "interfaces": [
        "string"
      ],
      "user_friendly": "string"
    }
  },
  "metadata": {
    "property1": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    },
    "property2": {
      "is_indexed": true,
      "token_info": [
        {
          "description": "string",
          "extra": {},
          "image": "string",
          "is_nsfw": true,
          "is_scam": true,
          "name": "string",
          "nft_index": "string",
          "symbol": "string",
          "type": "string",
          "valid": true
        }
      ]
    }
  },
  "nft_sales": [
    {
      "address": "string",
      "code_hash": "string",
      "created_at": 0,
      "data_hash": "string",
      "details": null,
      "last_transaction_lt": "0",
      "marketplace_address": "string",
      "nft_address": "string",
      "nft_item": {
        "address": "string",
        "auction_contract_address": "string",
        "code_hash": "string",
        "collection": {
          "address": "string",
          "code_hash": "string",
          "collection_content": {},
          "data_hash": "string",
          "last_transaction_lt": "0",
          "next_item_index": "string",
          "owner_address": "string"
        },
        "collection_address": "string",
        "content": {},
        "data_hash": "string",
        "index": "string",
        "init": true,
        "last_transaction_lt": "0",
        "on_sale": true,
        "owner_address": "string",
        "real_owner": "string",
        "sale_contract_address": "string"
      },
      "nft_owner_address": "string",
      "type": "string"
    }
  ]
}
{
  "code": 0,
  "error": "string"
}